org.apache.ignite.internal.processors.cache.persistence.tree

## Class BPlusTree.Search

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.tree.util.PageHandler<G,BPlusTree.Result>
  - - org.apache.ignite.internal.processors.cache.persistence.tree.BPlusTree.Search

Enclosing class:
  BPlusTree<L,T extends L>

    public class BPlusTree.Search
    extends PageHandler<G,BPlusTree.Result>

### Constructor Summary

Constructors
Constructor and Description
`Search()`

### Method Summary

All Methods Instance Methods Concrete Methods
`BPlusTree.Result` `run0(long pageId, long page, long pageAddr, BPlusIO<L> io, BPlusTree.Get g, int lvl)`

### Methods inherited from class org.apache.ignite.internal.processors.cache.persistence.tree.util.PageHandler

`copyMemory, copyMemory, initPage, isWalDeltaRecordNeeded, readLock, readPage, readPage, readUnlock, writeLock, writePage, writePage, writeUnlock, zeroMemory, zeroMemory`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Search

    public Search()

### Method Detail

#### run0

    public BPlusTree.Result run0(long pageId,
                                 long page,
                                 long pageAddr,
                                 BPlusIO<L> io,
                                 BPlusTree.Get g,
                                 int lvl)
                          throws IgniteCheckedException

Parameters:
  `pageId` - Page ID.
  `page` - Page pointer.
  `pageAddr` - Page address.
  `io` - IO.
  `g` - Operation.
  `lvl` - Level.
Returns:
  Result code.
Throws:
  `IgniteCheckedException` - If failed.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020